#INSTALLING NODE JS
cd ~
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh | bash
sleep 2
source ~/.bashrc
export NVM_DIR="$HOME/.nvm"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh"  # This loads nvm
[ -s "$NVM_DIR/bash_completion" ] && \. "$NVM_DIR/bash_completion"  # This loads nvm bash_completion
sleep 2
nvm list-remote
sleep 2
nvm install v16.19.1
sleep 2
node --version
npm --version
npm install -g @angular/cli
npm install -g pm2
# echo "Enter the version of node you want to install: (Example. 'v16.19.1')"
# read nodeversion
# nvm install $nodeversion

#STORE GIT CREDENTIALS IN CACHE
git config --global credential.helper store
# git config --global credential.helper 'store --file ~/.git-credentials'
# echo "Enter git username: "
# read gitUser
# git config --global user.name '${gitUser}'
# echo "username=$gitUser" >> ~/.git-credentials
# echo "Enter git password: "
# read gitPassword
# git config --global user.password '${gitPassword}'
# echo "password=$gitPassword" >> ~/.git-credentials
# chmod 0600 ~/.git-credentials

#PRODUCTION A SETUP
cd ~
cd Desktop
mkdir chess
cd chess
mkdir production_A
cd production_A
git clone http://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/Trias_Org/trias-config-production
cd trias-config-production
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout production
npm i

#TO CREATE SYMLINK
cd ..
ln -s trias-config-production/ config

#PRODUCTION B SETUP
cd ~
cd Desktop
cd chess
mkdir production_B
cd production_B
git clone http://git.bbh.org.in/chess/project-genesis-backend
cd project-genesis-backend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/project-genesis-frontend
cd project-genesis-frontend
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/bbh_patient_portal
cd bbh_patient_portal
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/Trias_Org/trias-config-production
cd trias-config-production
git checkout production
npm i

cd ..
git clone http://git.bbh.org.in/chess/processmanager
cd processmanager
git checkout production
npm i

#TO CREATE SYMLINK
cd ..
ln -s trias-config-production/ config